com.hazelcast.org.snakeyaml.engine.v1.nodes

## Class SequenceNode

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.nodes.Node
  - - com.hazelcast.org.snakeyaml.engine.v1.nodes.CollectionNode<Node>
    - - com.hazelcast.org.snakeyaml.engine.v1.nodes.SequenceNode

-     public class SequenceNode
      extends CollectionNode<Node>

  Represents a sequence.

  A sequence is a ordered collection of nodes.

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.org.snakeyaml.engine.v1.nodes.Node

      `endMark, resolved`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SequenceNode(Tag tag, boolean resolved, List<Node> value, FlowStyle flowStyle, Optional<Mark> startMark, Optional<Mark> endMark)`
    `SequenceNode(Tag tag, List<Node> value, FlowStyle flowStyle)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NodeType` | `getNodeType()`
    `List<Node>` | `getSequence()`
    `List<Node>` | `getValue()` Returns the elements in this sequence.
    `String` | `toString()`

    - ### Methods inherited from class com.hazelcast.org.snakeyaml.engine.v1.nodes.CollectionNode

      `getFlowStyle, setEndMark, setFlowStyle`

    - ### Methods inherited from class com.hazelcast.org.snakeyaml.engine.v1.nodes.Node

      `equals, getConstruct, getEndMark, getStartMark, getTag, hashCode, isRecursive, setConstruct, setRecursive, setTag`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SequenceNode

          public SequenceNode(Tag tag,
                              boolean resolved,
                              List<Node> value,
                              FlowStyle flowStyle,
                              Optional<Mark> startMark,
                              Optional<Mark> endMark)

    - #### SequenceNode

          public SequenceNode(Tag tag,
                              List<Node> value,
                              FlowStyle flowStyle)

  - ### Method Detail

    - #### getNodeType

          public NodeType getNodeType()

      Specified by:
        `getNodeType` in class `Node`
      Returns:
        scalar, sequence, mapping

    - #### getValue

          public List<Node> getValue()

      Returns the elements in this sequence.
      Specified by:
        `getValue` in class `CollectionNode<Node>`
      Returns:
        Nodes in the specified order.

    - #### getSequence

          public List<Node> getSequence()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019. All rights reserved.